%define pkg_name    django-tinymce
%define upstream_pkg_prefix aljosa
%define upstream_pkg_gitsha1 f3d4b92
%define obs_ver     1.5-5

Name:           python-%{pkg_name}
Version:        1.5
Release:        6%{?dist}
Summary:        TinyMCE editor for Django applications

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/aljosa/django-tinymce
# Package downloaded from here: https://github.com/aljosa/django-tinymce/tarball/master
Source0:        %{upstream_pkg_prefix}-%{pkg_name}-%{upstream_pkg_gitsha1}.tar.gz

BuildArch:      noarch
Requires:       python-django
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       %{pkg_name} = %{version}-%{release}
Obsoletes:      %{pkg_name} < %{obs_ver}

%description
A Django application that render a form field as a TinyMCE editor.

%prep
%setup -q -n %{name}-%{version}
sed -i "s|\r||g" PKG-INFO


%build


%install
%{__python} setup.py install --skip-build --root="$RPM_BUILD_ROOT"


%files
%doc docs/history.rst docs/index.rst docs/installation.rst docs/usage.rst LICENSE.txt README.txt PKG-INFO
%{python_sitelib}/tinymce/
%{python_sitelib}/django_tinymce*.egg-info


%changelog
* Thu Aug 9 2012 Yuguang Wang <yuwang@redhat.com> - 1.5-6
- package rename to python-django-tinymce

* Fri Nov 25 2011 Yuguang Wang <yuwang@redhat.com> - 1.5-2
- Fix tarball checksum mismatch problem.

* Fri Sep 30 2011 Yuguang Wang <yuwang@redhat.com> - 1.5-1
- Remove spec file from source.

* Fri Aug 5 2011 Yuguang Wang <yuwang@redhat.com> - 1.5
- Initial RPM release
